<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_1"
        android:background="@color/white"
        android:orientation="vertical">

        <include
            android:id="@+id/line_supplier_info"
            layout="@layout/include_horizontal_color_eee_dividing_line" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dp_8"
            android:gravity="center_vertical"
            android:orientation="horizontal">

            <CheckBox
                android:id="@+id/cb_order_item_all_select"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="@dimen/dp_15"
                android:button="@drawable/selector_checkbox"
                android:textColor="@color/color_3c"
                android:textSize="@dimen/dp_14" />

            <ImageView
                android:id="@+id/iv_food_ingredient_img"
                android:layout_width="@dimen/dp_84"
                android:layout_height="@dimen/dp_84"
                android:layout_marginLeft="@dimen/dp_5" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/dp_8"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_food_item_no"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="0dp"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:layout_marginRight="@dimen/dp_10"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textSize="@dimen/dp_12"
                        tools:text="SP001" />

                    <TextView
                        android:id="@+id/tv_food_item_supplier_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="海鮮天地"
                        android:textColor="@color/black"
                        android:textSize="@dimen/dp_17"
                        android:textStyle="bold" />
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_food_item_name"
                    style="@style/Food_Ingredient_Info_TextStyle"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:textStyle="bold"
                    tools:text="巴西肥牛" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_food_item_unit"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textSize="@dimen/dp_12"
                        tools:text="3KG/盒" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="15/30"
                        android:textColor="@color/color_3c"
                        android:textSize="@dimen/dp_12"
                        android:textStyle="bold" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_5"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:id="@+id/tv_food_item_price"
                        style="@style/Food_Ingredient_Info_TextStyle"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:textColor="@color/required_color"
                        android:textStyle="bold"
                        tools:text="$100.00" />

                    <ImageView
                        android:id="@+id/iv_supplier_edit"
                        android:layout_width="@dimen/dp_26"
                        android:layout_height="@dimen/dp_26"
                        android:padding="@dimen/dp_5"
                        android:src="@drawable/ic_blue_edit"
                        android:visibility="gone" />

                    <ImageView
                        android:id="@+id/iv_supplier_delete"
                        android:layout_width="@dimen/dp_26"
                        android:layout_height="@dimen/dp_26"
                        android:padding="@dimen/dp_5"
                        android:src="@drawable/ic_red_delete"
                        android:visibility="gone" />

                    <LinearLayout
                        android:id="@+id/layout_operation_food_num"
                        android:divider="@color/color_3c"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal">

                        <com.qmuiteam.qmui.layout.QMUIButton
                            android:id="@+id/btn_food_operation_sub"
                            android:layout_width="@dimen/dp_24"
                            android:layout_height="@dimen/dp_24"
                            android:background="@drawable/ic_circle_gray_sub" />

                        <EditText
                            android:id="@+id/ed_food_ingredient_number"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_marginRight="@dimen/dp_10"
                            android:background="@null"
                            android:inputType="number"
                            android:maxLength="4"
                            android:paddingLeft="@dimen/dp_4"
                            android:paddingRight="@dimen/dp_4"
                            android:text="0"
                            android:textColor="@color/black"
                            android:textSize="@dimen/dp_22" />

                        <com.qmuiteam.qmui.layout.QMUIButton
                            android:id="@+id/btn_food_operation_add"
                            android:layout_width="@dimen/dp_24"
                            android:layout_height="@dimen/dp_24"
                            android:background="@drawable/ic_circle_theme_add" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

    </LinearLayout>
</FrameLayout>